/* 

	Arquivo de guardar informações

*/

function checkConnection() {
    var networkState = navigator.connection.type;

    var states = {};
    states[Connection.UNKNOWN]  = 'Unknown connection';
    states[Connection.ETHERNET] = 'Ethernet connection';
    states[Connection.WIFI]     = 'WiFi connection';
    states[Connection.CELL_2G]  = 'Cell 2G connection';
    states[Connection.CELL_3G]  = 'Cell 3G connection';
    states[Connection.CELL_4G]  = 'Cell 4G connection';
    states[Connection.CELL]     = 'Cell generic connection';
    states[Connection.NONE]     = 'No network connection';

    console.log('Connection type: ' + states[networkState]);
    return states[networkState];
}

function deslogar(){
        localStorage.clear();
		//window.localStorage.setItem("user", null);		
        window.location.href = 'index.html';
}

function saveListStorage(list,list1){
	
	var jsonStr = JSON.stringify(list);
	console.log(jsonStr);
	localStorage.setItem("list",jsonStr);
	
	var jsonStr2 = JSON.stringify(list1);
	console.log(jsonStr2);
	localStorage.setItem("list1",jsonStr2);	
	
}

function lisPedidos(){
	let testList = localStorage.getItem("list"), pData = [],productsData = [];
	      list = JSON.parse(testList);
	   var pen = "",con = "";

		if(list != null){
			for(var key in list){
				if(list[key].status == "PENDENTE"){				
					pen += "<div class='card text-left'>";
					pen += "  <div class='card-body'>";
					pen += "	<h5 class='card-title'>PEDIDO: "+list[key].id+"</h5>";
						
					pen += "	<p class='card-text'>CLIENTE: "+list[key].loja+"</p>";
						
					pen += "	<table class='table'>";
					pen += "	  <thead>";
					pen += "		<tr>";
					pen += "		  <th scope='col'>Qtd. Itens</th>";
					pen += "		  <th scope='col'>Data</th>";
					pen += "		  <th scope='col'>Status</th>";
					pen += "		</tr>";
					pen += "	  </thead>";
					pen += "	  <tbody>";
					pen += "		<tr>";
					pen += "		  <td>"+list[key].qtd+"</td>";
					pen += "		  <td>"+list[key].data+"</td>";
					pen += "		  <td>"+list[key].status+"</td>";
					pen += "		</tr>";
					pen += "	  </tbody>";
					pen += "	</table>";
						
					pen += "	<a href='pedido.html?cod="+list[key].id+"' class='btn btn-primary btn-block'>VISUALIZAR</a>";
					pen += "  </div>";
					pen += "</div>";				
				}else{				
					con += "<div class='card text-left'>";
					con += "  <div class='card-body'>";
					con += "	<h5 class='card-title'>PEDIDO: "+list[key].id+"</h5>";
						
					con += "	<p class='card-text'>CLIENTE: "+list[key].loja+"</p>";
						
					con += "	<table class='table'>";
					con += "	  <thead>";
					con += "		<tr>";
					con += "		  <th scope='col'>Qtd. Itens</th>";
					con += "		  <th scope='col'>Data</th>";
					con += "		  <th scope='col'>Status</th>";
					con += "		</tr>";
					con += "	  </thead>";
					con += "	  <tbody>";
					con += "		<tr>";
					con += "		  <td>"+list[key].qtd+"</td>";
					con += "		  <td>"+list[key].data+"</td>";
					con += "		  <td>"+list[key].status+"</td>";
					con += "		</tr>";
					con += "	  </tbody>";
					con += "	</table>";
					con += "  </div>";
					con += "</div>";				
				}			
			}
			$('#result_pen').html(pen);
			$('#result_con').html(con);
		}else{
			$('#result_pen').html("Nenhum dado na base");
			$('#result_con').html("Nenhum dado na base");
		}
}

function UNDPedido(idpedido){
	let testList = localStorage.getItem("list"), pData = [],productsData = [];
	      list = JSON.parse(testList);
	   var pen = "",con = "";

		if(list != null){
			for(var key in list){
				if(list[key].id == idpedido){
					pen += "<h5 class='card-title'>PEDIDO: "+list[key].id+"</h5>";
					pen += "<p class='card-text'>CLIENTE: "+list[key].loja+"</p>";
					pen += "<table class='table'>";
					pen += "  <thead>";
					pen += "	<tr>";
					pen += "	  <th scope='col'>Qtd. Itens</th>";
					pen += "	  <th scope='col'>Data</th>";
					pen += "	  <th scope='col'>Status</th>";
					pen += "	</tr>";
					pen += "  </thead>";
					pen += "  <tbody>";
					pen += "	<tr>";
					pen += "	  <td>"+list[key].qtd+"</td>";
					pen += "	  <td>"+list[key].data+"</td>";
					pen += "	  <td>"+list[key].status+"</td>";
					pen += "	</tr>";
					pen += "  </tbody>";
					pen += "</table>";
					
					var Total = list[key].qtd;
				}		
			}
			
			lisItens(idpedido,Total);

			$('#result_ped_item').html(pen);
		}
}

function SALVARPedido(){
	let testList = localStorage.getItem("list"), pData = [],productsData = [];
	      list = JSON.parse(testList);
	   var pen = "",idpedido = localStorage.getItem("pedido_atual");
	   var itens = [];

			for(var key in list){
				if(list[key].id == idpedido){
					var rowL = {
							id: list[key].id,
							pedido: list[key].pedido,
							status:  "CONCLUIDO",
							data: list[key].data,
							loja: list[key].loja,
							qtd: list[key].qtd,
						};
					itens.push(rowL);
				}else{
					var rowL = {
							id: list[key].id,
							pedido: list[key].pedido,
							status:  list[key].status,
							data: list[key].data,
							loja: list[key].loja,
							qtd: list[key].qtd,
						};
					itens.push(rowL);					
				}		
			}
		// salvando lista atual
			var jsonAtual = JSON.stringify(itens);
				localStorage.setItem("list",jsonAtual);	
		// salvando lista atual			
}
// ##################################################################### BLOCO DE ITENS
function lisItens(idpedido,Total){
	let testList = localStorage.getItem("list1"), pData = [],productsData = [];
	      list = JSON.parse(testList);
	   var con = "",  itens = [], cont = 1;

		if(list != null){
			for(var key in list){
				if(idpedido == list[key].pedido_cod){
					var rowL = {
							row: cont,
							total: Total,						
							id: list[key].id,
							pedido_cod: list[key].pedido_cod,
							prod_codigo: list[key].prod_codigo,
							prod_desc: list[key].prod_desc,
							sugestao: list[key].sugestao,
							separado: list[key].separado,
							deposito: list[key].deposito,
						};
					itens.push(rowL);
					
					if(list[key].separado < list[key].sugestao){
						con += "<tr onclick='vai("+cont+")'>";
						con += "  <td><a href='detalhe.html?cod="+cont+"'>"+list[key].prod_codigo+"</a> "+list[key].prod_desc+"</td>";
					}else{
						con += "<tr style='background-color: #caffd6;'>";
						con += "  <td>"+list[key].prod_codigo+" "+list[key].prod_desc+"</td>";
					}
					con += "  <td style='text-align: center;'>"+list[key].deposito+"</td>";
					con += "  <td style='text-align: center;'>"+list[key].sugestao+"</td>";
					con += "  <td style='text-align: center;'>"+list[key].separado+"</td>";
					con += "</tr>";
					
					cont++;
				}
			}
			// salvando lista atual
				var jsonAtual = JSON.stringify(itens);
					localStorage.setItem("AtualList",jsonAtual);	
			// salvando lista atual
			
			$('#id-pedidos').html(con);
		}else{
			$('#id-pedidos').html("Nenhum dado na base");
		}
}

function UNDItem(idItem){
	let testList = localStorage.getItem("AtualList"), pData = [],productsData = [];
	      list = JSON.parse(testList);
	   var con = "", cod_pedido = localStorage.getItem("pedido_atual");

		if(list != null){
			for(var key in list){
				if(idItem == list[key].row){
					if(list[key].separado < list[key].sugestao){
						
						con += " <div >";
						con += "     <label><b>"+list[key].prod_codigo+" - "+list[key].prod_desc+" </b></label>";
						con += "     <input onkeyup=\"bipitem(this.value,'"+list[key].prod_codigo+"',"+list[key].row+","+list[key].total+");\" onblur=\"bipitem(this.value,'"+list[key].prod_codigo+"',"+list[key].row+","+list[key].total+");\" type='number' class='form-control' name='num' id='num' style='text-align: center;' /> ";
						con += " </div>";

						con += " <div class='row' style='padding-top: 20px;padding-bottom: 20px;'>";
						con += "     <div class='col-6 text-center'>";
						con += "       <b>Qtd. Solicitada</b><br>";
						con += "        <span style='font-size: 18px;' id='solic' >"+list[key].sugestao+"</span>";				
						con += "    </div>";
						con += "    <div class='col-6 text-center'>";
						con += "        <b>Qtd. Atendida</b><br>";
						con += "        <span style='font-size: 18px;' id='atend' >"+list[key].separado+"</span>";
						con += "    </div>	";				
						con += " </div>";
						con += "  <div class='row' style='padding-top: 10px;'>";
						con += "    <div class='col-6 text-center'>";
						con += "        <a href='pedido.html?cod="+cod_pedido+"' class='btn btn-primary btn-block'>VOLTAR</a>";
						con += "    </div>";				 	
						con += "    <div class='col-6 text-center'>";
						con += "        <a href='#' onclick='ffocus();' class='btn btn-primary btn-block'>LER CÓD. BARRAS</a>";
						con += "    </div>";
						con += " </div>";
                    }else{
						let cod_pedido = localStorage.getItem("pedido_atual");
						window.location.href = 'pedido.html?cod='+cod_pedido;
					}
				}
			}
			$('#item-one').html(con);
		}else{
			$('#item-one').html("Nenhum dado na base");
		}
}

function bipitem(valor, cod, posicao, total){
	
	// VAMOS ORGANIZAR AQUI A STRUNG PARA PODER VERIFICAR
	  var str = valor.trim();
 	  var n = str.length;
	// VAMOS ORGANIZAR AQUI A STRUNG PARA PODER VERIFICAR
	
	if(n == 7){
		if(parseInt(valor) == parseInt(cod)){
			$("#num").val("");                  // ZERO O CAMPO DE DIGITAÇÃP
			$('#num').focus();
			
			var SUJEST   = $("#solic").text();  // PEGO A SUGESTÃO
			var SEPARADO = $("#atend").text();  // PEGO O VALOR SEPARADO
			
			if(parseInt(SUJEST) > parseInt(SEPARADO)){ // VERIFICO SE O VALOR SUJERIDO É MENOR QUE SEPARADO
				let qtd = parseInt(SEPARADO) + 1;      // SOMO A QUANTIDADE SEPARADA + UM
				$("#atend").text(qtd);                 // ATUALIZO O TOTAL EM TELA
					salvarlist(posicao,qtd);
					
				if(parseInt(SUJEST) == qtd){           // VERIFICA SE SUJESTAO É IGUAL A QTD TOTAL 
					if(posicao < total){               // AVANÇA SEMPRE 1
						let prox = posicao + 1;
						window.location.href = 'detalhe.html?cod='+prox;
					}else{                             // VOLTA PARA O INICIO
						let cod_pedido = localStorage.getItem("pedido_atual");
						window.location.href = 'pedido.html?cod='+cod_pedido;
					}
				}
			}else if(parseInt(SUJEST) == parseInt(SEPARADO)){
				if(posicao < total){               // AVANÇA SEMPRE 1
					let prox = posicao + 1;
					window.location.href = 'detalhe.html?cod='+prox;
				}else{                             // VOLTA PARA O INICIO
					let cod_pedido = localStorage.getItem("pedido_atual");
					window.location.href = 'pedido.html?cod='+cod_pedido;
				}
			}
		}else{
			//playBeep();
			var x = document.getElementById("myAudio"); 
			  x.play(); 
			
			$("#num").val("");                  // ZERO O CAMPO DE DIGITAÇÃP
			$('#num').css("border", "1px solid #fc9c9c");
			$('#num').focus();
		}
	}
	
}
function ffocus(){
    $('#num').focus();
}

// REGIAO DE BUSCA ITEM VIA CODIGO BIP
function UNDItemMOD(){
   var con = "", cod_pedido = localStorage.getItem("pedido_atual");
		
		con += " <div >";
		con += "     <label><b>Bip Aleatório</b></label>";
		con += "     <input onkeyup=\"bipitemcod(this.value);\" onblur=\"bipitem(this.value);\" type='number' class='form-control' name='num' id='num' style='text-align: center;' /> ";
		con += " </div>";

		con += " <div class='row' style='padding-top: 20px;padding-bottom: 20px;'>";
		con += "     <div class='col-12 text-center'>";
		con += "       <b>Último Resultado:</b><br>";
		con += "        <span style='font-size: 18px;' id='solic' ></span>";				
		con += "    </div>";			
		con += " </div>";
		con += "  <div class='row' style='padding-top: 10px;'>";
		con += "    <div class='col-6 text-center'>";
		con += "        <a href='pedido.html?cod="+cod_pedido+"' class='btn btn-primary btn-block'>VOLTAR</a>";
		con += "    </div>";				 	
		con += "    <div class='col-6 text-center'>";
		con += "        <a href='#' onclick='ffocus();' class='btn btn-primary btn-block'>LER CÓD. BARRAS</a>";
		con += "    </div>";
		con += " </div>";

		$('#item-one').html(con);
			
}
function bipitemcod(valor){
	
	// VAMOS ORGANIZAR AQUI A STRUNG PARA PODER VERIFICAR
	  var str = valor.trim();
 	  var n = str.length;
	// VAMOS ORGANIZAR AQUI A STRUNG PARA PODER VERIFICAR
	   let testList = localStorage.getItem("AtualList"), pData = [],productsData = [];
		  list = JSON.parse(testList);
	   var con = "", cod_pedido = localStorage.getItem("pedido_atual");
	
	if(n == 7){
		for(var key in list){
			if(parseInt(valor) == parseInt(list[key].prod_codigo)){
				$("#num").val("");                  // ZERO O CAMPO DE DIGITAÇÃP
				$('#num').focus();
				var separado = parseInt(list[key].separado) + 1;
				var sugestao = list[key].sugestao;
				
				if(separado <= sugestao){
					salvarlist(list[key].row,separado);
					var texto = "COD: "+list[key].prod_codigo+" SUJESTAO: "+list[key].sugestao+" SEPARADO: "+separado;
					$("#solic").text(texto);
				}else{
					alert("Já Finalizado");
					var x = document.getElementById("myAudio"); 
						x.play(); 
						
						$("#num").val("");                  // ZERO O CAMPO DE DIGITAÇÃP
						$('#num').css("border", "1px solid #fc9c9c");
						$('#num').focus();					
				}			
			}
		}
	}
}



// SALVANDO DADOS
function salvarlist(posicao,separado){
let testList = localStorage.getItem("AtualList");
	  list = JSON.parse(testList);
   var itens = [];

		for(var key in list){
			if(posicao == list[key].row){
				var rowL = {
						row: list[key].row,
						total: list[key].total,						
						id: list[key].id,
						pedido_cod: list[key].pedido_cod,
						prod_codigo: list[key].prod_codigo,
						prod_desc: list[key].prod_desc,
						sugestao: list[key].sugestao,
						separado: separado,
					};
				itens.push(rowL);
				var id_alteravel = list[key].id;
			}else{
				var rowL = {
						row: list[key].row,
						total: list[key].total,						
						id: list[key].id,
						pedido_cod: list[key].pedido_cod,
						prod_codigo: list[key].prod_codigo,
						prod_desc: list[key].prod_desc,
						sugestao: list[key].sugestao,
						separado: list[key].separado,
					};
				itens.push(rowL);
			}
		}
		// salvando lista atual
			var jsonAtual = JSON.stringify(itens);
				localStorage.setItem("AtualList",jsonAtual);	
				
			salvgeralitem(id_alteravel,separado);	
		// salvando lista atual
}

// ATUALIZAÇÃO

function salvgeralitem(id_alteravel,separado){
	
	let testList = localStorage.getItem("list1"), pData = [],productsData = [];
	      list = JSON.parse(testList);
	   var itens = [], cont = 1;

			for(var key in list){
				if(id_alteravel == list[key].id){
					var pData2 = { 
							id: list[key].id,
							pedido_cod: list[key].pedido_cod,
							prod_codigo: list[key].prod_codigo,
							prod_desc: list[key].prod_desc,
							sugestao: list[key].sugestao,
							separado: separado,
							deposito: list[key].deposito,
						};
						itens.push(pData2);
				}else{
					var pData2 = { 
							id: list[key].id,
							pedido_cod: list[key].pedido_cod,
							prod_codigo: list[key].prod_codigo,
							prod_desc: list[key].prod_desc,
							sugestao: list[key].sugestao,
							separado: list[key].separado,
							deposito: list[key].deposito,
						};
						itens.push(pData2);
				}
			}
		// salvando lista atual
			var jsonAtual = JSON.stringify(itens);
				localStorage.setItem("list1",jsonAtual);	
		// salvando lista atual	
	
}

// ############################################# SINAIS E ALERTAS #######################################

    // Show a custom alert
    //
    function showAlert() {
       alert(
            'Dados transferidos com sucesso!',  // message
             );
    }

    function onConfirm(resposta) {
		if(resposta == 1){
			//alert('SIM' + resposta);
			SALVARPedido();// MUDA O STATUS DO PEDIDO PARA CONCLUIDO
			window.location.href = 'dashboard.html';// VOLTA PARA TELA INICAIL
		}
		if(resposta == 0){
			//alert('CANCELAR' + resposta);
			window.location.href = 'dashboard.html';// VOLTA PARA TELA INICAIL
		}
		if(resposta == 3){
			//alert('Não' + resposta);
			window.location.href = 'dashboard.html';// VOLTA PARA TELA INICAIL
		}
    }

    // Show a custom confirmation dialog
    //
    function showConfirm() {
        var res = confirm('Deseja concluir o pedido ?');
		
		onConfirm(res);
    }
	// Beep three times
    //
    function playBeep() {
        navigator.notification.beep(1);
    }
    // Vibrate for 2 seconds
    //
    function vibrate() {
        navigator.notification.vibrate(1000);
    }	
// #################################### routes soltas

	function vai(cont){
		window.location.href = 'detalhe.html?cod='+cont;
	}